return Def.ActorFrame {		
		
	

	LoadActor("PleaseWait") .. {
	InitCommand=cmd(diffuseshift;effectcolor1,1,1,1,0.2;effectcolor2,1,1,1,1;x,THEME:GetMetric(Var "LoadingScreen","CreditsP1X");y,THEME:GetMetric(Var "LoadingScreen","CreditsP1Y")-30;blend,"BlendMode_Add";visible,0;playcommand,"CheckCoins");


	CheckCoinsCommand=function(self)
		if GAMESTATE:IsPlayerEnabled("PlayerNumber_P1") == false then
			self:visible(1);
		end;

		-- always hide while playing doubles
		if GAMESTATE:GetCurrentStyle():GetName() == "double" then
			self:visible(0);
		end;


	end;
	};
	
	

----------PLAYER2-------------

		
	LoadActor("PleaseWait") .. {
	InitCommand=cmd(diffuseshift;effectcolor1,1,1,1,0.2;effectcolor2,1,1,1,1;x,THEME:GetMetric(Var "LoadingScreen","CreditsP2X");y,THEME:GetMetric(Var "LoadingScreen","CreditsP2Y")-10;blend,"BlendMode_Add";visible,0;playcommand,"CheckCoins");
	OffCommand=cmd(visible,0);

	CheckCoinsCommand=function(self)
		if GAMESTATE:IsPlayerEnabled("PlayerNumber_P2") == false then
			self:visible(1);
		else
			self:visible(0);
		end;

		-- always hide while playing doubles
		if GAMESTATE:GetCurrentStyle():GetName() == "double" then
			self:visible(0);
		end;


	end;

	};
	
	
	--- to stop people in widescreen viewing offscreen elements
	-- ez2dancer is not a widescreen game
	Def.Quad {
		OnCommand=cmd(stretchto,SCREEN_RIGHT,SCREEN_TOP,99999,SCREEN_BOTTOM;diffuse,color("#000000"));
	};
	
	Def.Quad {
		OnCommand=cmd(stretchto,-99999,SCREEN_TOP,SCREEN_LEFT,SCREEN_BOTTOM;diffuse,color("#000000"));
	};


	Def.Quad {
		OnCommand=cmd(stretchto,-99999,-99999,99999,SCREEN_TOP;diffuse,color("#000000"));
	};
	
	
	Def.Quad {
		OnCommand=cmd(stretchto,-99999,SCREEN_BOTTOM,99999,99999;diffuse,color("#000000"));
	};		
	
};